changeset 1151:b55c80be32b6

Add SIMPLE_ROOT_OVERLAY.
author Rob Landley <rob@landley.net>
date Fri, 02 Jul 2010 12:58:41 -0500
parents 5ce47f84a1d1
children 2f39d1bfb2fd
files config simple-root-filesystem.sh
diffstat 2 files changed, 15 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/config	Fri Jul 02 12:46:35 2010 -0500
+++ b/config	Fri Jul 02 12:58:41 2010 -0500
@@ -138,6 +138,12 @@
 
 # export ALLOW_PATCH_FAILURE=1
 
+# If this is set, it's points to a directory containing additional files to
+# copy into the simple-root-filesystem.  The path is either absolute or
+# relavitve to the aboriginal topdir.
+
+# export SIMPLE_ROOT_OVERLAY="overlay"
+
 # This isn't actually one of our variables, but a number of packages listen
 # to this to add extra debug info to their binaries.  (Use with SKIP_STRIP)
 
--- a/simple-root-filesystem.sh	Fri Jul 02 12:46:35 2010 -0500
+++ b/simple-root-filesystem.sh	Fri Jul 02 12:58:41 2010 -0500
@@ -43,6 +43,15 @@
 cp -r "${SOURCES}/native-root/." "$STAGE_DIR/" &&
 cp "$SRCDIR"/MANIFEST "$STAGE_DIR/src" || dienow
 
+# If user specified different files to put in the root filesystem, add them.
+# (This overwrites existing files.)
+
+if [ ! -z "$SIMPLE_ROOT_OVERLAY" ]
+then
+  cd "$TOP"
+  cp -r "$SIMPLE_ROOT_OVERLAY/." "$STAGE_DIR/" || dienow
+fi
+
 # Build busybox and toybox
 
 build_section busybox